Name: ushare
Version: 1.1a
Release: alt1

Summary: UPnP(TM) A/V Media Server
Group: System/Servers
License: GPLv2+
URL: http://ushare.geexbox.org/

Packager: Sir Raorn <raorn@altlinux.ru>

Source: %name-%version.tar
Patch: %name-%version-%release.patch

# Automatically added by buildreq on Mon Jul 14 2008
BuildRequires: libdlna-devel libupnp-devel

%description
uShare is a UPnP(TM) A/V Media Server. It implements the server 
component that provides UPnP media devices with information on 
available multimedia files. uShare uses the built-in http server 
of libupnp to stream the files to clients.

%prep
%setup
%patch -p1

%build
export CFLAGS="%optflags"
./configure \
	--prefix=%_prefix \
	--bindir=%_bindir \
	--sysconfdir=%_sysconfdir \
	--enable-dlna \
	%{subst_enable debug}
%make_build

%install
mkdir -p %buildroot{%_sysconfdir/sysconfig,%_initdir,%_localstatedir/%name,%_man1dir}
%make_install install \
	prefix=%buildroot%_prefix \
	bindir=%buildroot%_bindir \
	localedir=%buildroot%_datadir/locale \
	sysconfdir=%buildroot%_sysconfdir

install -p -m644 src/ushare.1 %buildroot%_man1dir/
install -p -m755 altlinux/ushare.init %buildroot%_initdir/ushare
install -p -m644 altlinux/ushare.sysconfig %buildroot%_sysconfdir/sysconfig/ushare

%find_lang %name

%pre
%_sbindir/groupadd -r -f _ushare
%_sbindir/useradd -r -n -g _ushare -d %_localstatedir/%name -s /dev/null -c 'uShare UPnP(TM) A/V Media Server' _ushare 2>&1 ||:

%post
%post_service ushare

%preun
%preun_service ushare

%files -f %name.lang
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%config(noreplace) %_sysconfdir/ushare.conf
%config(noreplace) %_sysconfdir/sysconfig/ushare
%config %_initdir/ushare
%_bindir/ushare
%_man1dir/*
%attr(3770,root,_ushare) %dir %_localstatedir/%name

%changelog
* Mon Jul 14 2008 Sir Raorn <raorn@altlinux.ru> 1.1a-alt1
- Built for Sisyphus

